- Qt 6.9
- Qt Graphs
- QML Types
- QtGraphs
- BarDataProxy
- Qt Graphs | Commercial or GPLv3

# BarDataProxy QML Type

The data proxy for a 3D bars graph. More...

Import Statement: | `import QtGraphs`
In C++: | QBarDataProxy
Inherits: | AbstractDataProxy
Inherited By: | ItemModelBarDataProxy

- List of all members, including inherited members
- BarDataProxy is part of Qt Graphs QML Types for 3D.

## Properties

- colCount : int
- rowCount : int
- series : Bar3DSeries
- type : AbstractDataProxy.DataType

## Signals

- colCountChanged(int count)
- itemChanged(int rowIndex, int columnIndex)
- rowCountChanged(int count)
- seriesChanged(Bar3DSeries series)

## Detailed Description

This type handles adding, inserting, changing, and removing rows of data with Qt Quick 2.

This type cannot be instantiated, but contains properties that are exposed via subtypes.

For a more complete description, see QBarDataProxy.

See also ItemModelBarDataProxy and Qt Graphs Data Handling with 3D.

## Property Documentation

colCount : int `[read-only]`

The number of columns in the array.

rowCount : int `[read-only]`

The number of rows in the array.

series : Bar3DSeries `[read-only]`

The series this proxy is attached to.

type : AbstractDataProxy.DataType `[read-only]`

The type of the proxy. One of the QAbstractDataProxy::DataType values.

## Signal Documentation

colCountChanged(int count)

This signal is emitted when colCount changes to count.

Note: The corresponding handler is `onColCountChanged`.

itemChanged(int rowIndex, int columnIndex)

This signal is emitted when the item at the position specified by rowIndex and columnIndex changes. If the item is changed in the array without calling setItem(), this signal needs to be emitted to update the graph.

Note: The corresponding handler is `onItemChanged`.

rowCountChanged(int count)

This signal is emitted when rowCount changes to count.

Note: The corresponding handler is `onRowCountChanged`.

seriesChanged(Bar3DSeries series)

This signal is emitted when series changes to series.

Note: The corresponding handler is `onSeriesChanged`.